package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;

import lombok.Builder;
import lombok.Data;

/**
 * 问卷选项
 * @TableName ld_questionnaire_option
 */
@TableName(value ="ld_questionnaire_option")
@Data
@Builder
public class QuestionnaireOption extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 配置表id
     */
    @TableField(value = "config_id")
    private Long configId;

    /**
     * 选项
     */
    @TableField(value = "questionnaire_option")
    private String questionnaireOption;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
