package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;

import lombok.Builder;
import lombok.Data;

/**
 * 问卷填写结果
 * @TableName ld_questionnaire_result
 */
@TableName(value ="ld_questionnaire_result")
@Data
@Builder
public class QuestionnaireResult extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 提交表id
     */
    @TableField(value = "submit_id")
    private Long submitId;

    /**
     * 问题id
     */
    @TableField(value = "question_id")
    private Long questionId;

    /**
     * 提交时间
     */
    @TableField(value = "submit_time")
    private Date submitTime;

    /**
     * 问题内容
     */
    @TableField(value = "question_content")
    private String questionContent;

    /**
     * 结果
     */
    @TableField(value = "result")
    private String result;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
