package com.ruoyi.liandao.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.liandao.domain.ArticleContent;
import com.ruoyi.liandao.dto.articleContent.ArticleContentAddReqDto;
import com.ruoyi.liandao.dto.articleContent.ArticleContentEditReqDto;
import com.ruoyi.liandao.dto.articleContent.ArticleContentPageReqDto;

/**
 * @author admin
 * @description 针对表【ld_article_content(文章内容)】的数据库操作Service
 * @createDate 2024-03-14 10:51:08
 */
public interface ArticleContentService extends IService<ArticleContent> {

    /**
     * 分页查询
     *
     * @param dto
     * @return
     */
    IPage<ArticleContent> getPage(ArticleContentPageReqDto dto);

    /**
     * 新增
     *
     * @param dto
     */
    void add(ArticleContentAddReqDto dto);

    /**
     * 修改
     *
     * @param dto
     */
    void edit(ArticleContentEditReqDto dto);
}
