package com.ruoyi.liandao.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.liandao.domain.ResourcesConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.liandao.dto.resourcesConfig.ResourcesConfigAddReqDto;
import com.ruoyi.liandao.dto.resourcesConfig.ResourcesConfigEditReqDto;
import com.ruoyi.liandao.dto.resourcesConfig.ResourcesConfigPageReqDto;

/**
* @author admin
* @description 针对表【ld_resources_config(资源配置)】的数据库操作Service
* @createDate 2024-03-14 10:51:09
*/
public interface ResourcesConfigService extends IService<ResourcesConfig> {

    /**
     * 新增
     * @param dto
     */
    void add(ResourcesConfigAddReqDto dto);

    /**
     * 修改
     * @param dto
     */
    void edit(ResourcesConfigEditReqDto dto);

    /**
     * 分页查询
     * @param dto
     * @return
     */
    IPage<ResourcesConfig> getPage(ResourcesConfigPageReqDto dto);
}
