package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 问卷配置
 * @TableName ld_questionnaire_config
 */
@TableName(value ="ld_questionnaire_config")
@Data
public class QuestionnaireConfig extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 问题
     */
    @TableField(value = "question")
    private String question;

    /**
     * 类型 单选、地点、打分、文本、富文本、日期
     */
    @TableField(value = "type")
    private String type;

    /**
     * 是否必填
     */
    @TableField(value = "is_required")
    private Boolean isRequired;

    /**
     * 显示顺序
     */
    @TableField(value = "order_num")
    private Integer orderNum;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
