package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;

import com.ruoyi.common.utils.DateUtils;
import lombok.Data;

/**
 * 问卷填写提交
 * @TableName ld_questionnaire_submit
 */
@TableName(value ="ld_questionnaire_submit")
@Data
public class QuestionnaireSubmit extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 提交时间
     */
    @TableField(value = "submit_time")
    @JsonFormat(pattern = DateUtils.YYYY_MM_DD_HH_MM_SS)
    private Date submitTime;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
