package com.ruoyi.liandao.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.liandao.domain.TourGuideInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.liandao.dto.tourGuide.TourGuideInfoAddReqDto;
import com.ruoyi.liandao.dto.tourGuide.TourGuideInfoEditReqDto;
import com.ruoyi.liandao.dto.tourGuide.TourGuidePageReqDto;

/**
* @author admin
* @description 针对表【ld_tour_guide_info(导游信息配置)】的数据库操作Service
* @createDate 2024-03-14 10:51:09
*/
public interface TourGuideInfoService extends IService<TourGuideInfo> {

    /**
     * 导游信息分页查询
     * @param dto
     * @return
     */
    IPage<TourGuideInfo> getPage(TourGuidePageReqDto dto);

    /**
     * 导游信息添加
     * @param dto
     */
    void add(TourGuideInfoAddReqDto dto);

    /**
     * 导游信息修改
     * @param dto
     */
    void edit(TourGuideInfoEditReqDto dto);
}
